import { IDebugService } from "vscode/vscode/vs/workbench/contrib/debug/common/debug.service";
import { IConfigurationService } from "vscode/vscode/vs/platform/configuration/common/configuration.service";
import { IStatusbarService } from "vscode/vscode/vs/workbench/services/statusbar/browser/statusbar.service";
import { IWorkbenchContribution } from "vscode/vscode/vs/workbench/common/contributions";
export declare class DebugStatusContribution implements IWorkbenchContribution {
    private readonly statusBarService;
    private readonly debugService;
    private showInStatusBar;
    private toDispose;
    private entryAccessor;
    constructor(statusBarService: IStatusbarService, debugService: IDebugService, configurationService: IConfigurationService);
    private get entry();
    dispose(): void;
}
