import { IOpenExtensionWindowResult } from "vscode/vscode/vs/platform/debug/common/extensionHostDebug";
import { IExtensionHostDebugService } from "vscode/vscode/vs/platform/debug/common/extensionHostDebug.service";
import { ExtensionHostDebugChannelClient } from "../../../../platform/debug/common/extensionHostDebugIpc.js";
import { IFileService } from "vscode/vscode/vs/platform/files/common/files.service";
import { ILogService } from "vscode/vscode/vs/platform/log/common/log.service";
import { IStorageService } from "vscode/vscode/vs/platform/storage/common/storage.service";
import { IWorkspaceContextService } from "vscode/vscode/vs/platform/workspace/common/workspace.service";
import { IBrowserWorkbenchEnvironmentService } from "vscode/vscode/vs/workbench/services/environment/browser/environmentService.service";
import { IHostService } from "vscode/vscode/vs/workbench/services/host/browser/host.service";
import { IRemoteAgentService } from "vscode/vscode/vs/workbench/services/remote/common/remoteAgentService.service";
export declare class BrowserExtensionHostDebugService extends ExtensionHostDebugChannelClient implements IExtensionHostDebugService {
    private static readonly LAST_EXTENSION_DEVELOPMENT_WORKSPACE_KEY;
    private workspaceProvider;
    private readonly storageService;
    private readonly fileService;
    constructor(remoteAgentService: IRemoteAgentService, environmentService: IBrowserWorkbenchEnvironmentService, logService: ILogService, hostService: IHostService, contextService: IWorkspaceContextService, storageService: IStorageService, fileService: IFileService);
    openExtensionDevelopmentHostWindow(args: string[], _debugRenderer: boolean): Promise<IOpenExtensionWindowResult>;
    private findArgument;
}
