import { IDebugService } from "vscode/vscode/vs/workbench/contrib/debug/common/debug.service";
import { Disposable } from "vscode/vscode/vs/base/common/lifecycle";
import { IWorkbenchContribution } from "vscode/vscode/vs/workbench/common/contributions";
import { ILogService } from "vscode/vscode/vs/platform/log/common/log.service";
import { IAccessibilityService } from "vscode/vscode/vs/platform/accessibility/common/accessibility.service";
import { IConfigurationService } from "vscode/vscode/vs/platform/configuration/common/configuration.service";
export declare class DebugWatchAccessibilityAnnouncer extends Disposable implements IWorkbenchContribution {
    private readonly _debugService;
    private readonly _logService;
    private readonly _accessibilityService;
    private readonly _configurationService;
    static ID: string;
    private readonly _listener;
    constructor(_debugService: IDebugService, _logService: ILogService, _accessibilityService: IAccessibilityService, _configurationService: IConfigurationService);
    private _setListener;
}
