import { IConfigurationService } from "vscode/vscode/vs/platform/configuration/common/configuration.service";
import { IDialogService } from "vscode/vscode/vs/platform/dialogs/common/dialogs.service";
import { IWorkbenchContribution } from "vscode/vscode/vs/workbench/common/contributions";
import { IDebugService } from "vscode/vscode/vs/workbench/contrib/debug/common/debug.service";
import { ILifecycleService } from "vscode/vscode/vs/workbench/services/lifecycle/common/lifecycle.service";
export declare class DebugLifecycle implements IWorkbenchContribution {
    private readonly debugService;
    private readonly configurationService;
    private readonly dialogService;
    private disposable;
    constructor(lifecycleService: ILifecycleService, debugService: IDebugService, configurationService: IConfigurationService, dialogService: IDialogService);
    private shouldVetoShutdown;
    dispose(): void;
    private showWindowCloseConfirmation;
}
