import { CancellationToken } from "vscode/vscode/vs/base/common/cancellation";
import { DisposableStore } from "vscode/vscode/vs/base/common/lifecycle";
import { ICommandService } from "vscode/vscode/vs/platform/commands/common/commands.service";
import { FastAndSlowPicks, IPickerQuickAccessItem, PickerQuickAccessProvider, Picks } from "@codingame/monaco-vscode-219d9a5f-b446-507b-a188-1178a0867c75-common/vscode/vs/platform/quickinput/browser/pickerQuickAccess";
import { IViewsService } from "vscode/vscode/vs/workbench/services/views/common/viewsService.service";
import { IDebugService } from "vscode/vscode/vs/workbench/contrib/debug/common/debug.service";
export declare class DebugConsoleQuickAccess extends PickerQuickAccessProvider<IPickerQuickAccessItem> {
    private readonly _debugService;
    private readonly _viewsService;
    private readonly _commandService;
    constructor(_debugService: IDebugService, _viewsService: IViewsService, _commandService: ICommandService);
    protected _getPicks(filter: string, disposables: DisposableStore, token: CancellationToken): Picks<IPickerQuickAccessItem> | Promise<Picks<IPickerQuickAccessItem>> | FastAndSlowPicks<IPickerQuickAccessItem> | null;
    private _createPick;
}
